#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($jpp, $alt) = @_;
    my $mainsec=$jpp->get_section('package','');
    $mainsec->unshift_body('BuildRequires: gcc-c++'."\n");
#    $jpp->get_section('install')->subst_if('--vendor fedora','--vendor fedora',qr'desktop-file-install');
    # then should also be fixed
#    %{_datadir}/applications/fedora-

#    $jpp->get_section('package','')->subst_if('modello','modello10 ',qr'Requires:');
#    $jpp->get_section('package','')->unshift_body('BuildRequires: velocity15'."\n");

    my $name=$mainsec->get_tag('Name');
    #print STDERR "name=[$name]\n";
    foreach my $sec ($jpp->get_sections()) {
	my $t = $sec->get_type();
	if ($t eq 'files') {
	    if ($sec->match(qr'^\%{_datadir}/applications/fedora-')) {
		print STDERR "fedora vendor detected!\n";
		$sec->subst(qr'^\%{_datadir}/applications/fedora-','%{_datadir}/applications/');
		$jpp->get_section('install')->subst_if(qr!--vendor(?:\s+|=)['"]?fedora['"]?!,'',qr'desktop-file-install');
	    } elsif ($sec->match(qr"^\%{_datadir}/applications/\*-(?:\%{name}|$name)")) {
		print STDERR "vendor glob detected!\n";
		$sec->subst(qr'^\%{_datadir}/applications/\*-','%{_datadir}/applications/');
		$jpp->get_section('install')->subst_if(qr!--vendor(?:\s+|=)['"]?fedora['"]?!,'',qr'desktop-file-install');
	    } elsif ($sec->match(qr'^\%{_datadir}/applications/\*')) {
		$jpp->get_section('install')->subst_if(qr!--vendor(?:\s+|=)['"]?fedora['"]?!,'',qr'desktop-file-install');
	    }
	} elsif ($t eq 'install') {
	    if ($sec->match(qr'ln.+/fonts/dejavu/')) {
		$sec->subst_if('/fonts/dejavu/','/fonts/ttf/dejavu/',qr'\.ttf');
	    }	    
	}
    }
}
